blob: eb35325e2e8af4294560f20869de2ea18f3cb17b [file] [log] [blame]
apply plugin: 'com.android.library'
apply plugin: org.robolectric.gradle.AndroidProjectConfigPlugin
android {
compileSdkVersion 29
defaultConfig {
minSdkVersion 16
targetSdkVersion 29
}
compileOptions {
sourceCompatibility = '1.8'
targetCompatibility = '1.8'
}
android {
testOptions {
unitTests {
includeAndroidResources = true
}
}
}
}
dependencies {
implementation("androidx.appcompat:appcompat:1.0.0")
implementation("androidx.constraintlayout:constraintlayout:1.1.0")
// Testing dependencies
testImplementation("androidx.test:runner:1.3.0-rc03")
testImplementation project(":robolectric")
testImplementation "junit:junit:4.13.1"
testImplementation("androidx.test:rules:1.3.0-rc03")
testImplementation("androidx.test.espresso:espresso-intents:3.3.0-rc03")
testImplementation("androidx.test.espresso:espresso-core:3.3.0-rc03")
testImplementation("androidx.test.ext:truth:1.3.0-rc03")
testImplementation("androidx.test:core:1.3.0-rc03")
testImplementation("androidx.fragment:fragment:1.0.0")
// TODO: this should be a transitive dependency of core...
testImplementation("androidx.lifecycle:lifecycle-common:2.0.0")
testImplementation("androidx.test.ext:junit:1.1.2-rc03")
testImplementation("com.google.truth:truth:1.0.1")
}